Method: accounts.projects.list

Lists projects.

HTTP request

GET https://mmmdata.googleapis.com/v0/{parent=accounts/*}/projects

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of projects. Format: accounts/{account}

Query parameters

Parameters
filter

string

Optional. An optional filter string for the caller to specify which pojects to include. String must be formatted in EBNF grammar as shown in https://aip.dev/160. The following fields are supported: - caseId - displayName

orderBy

string

Optional. An optional sort order for the results. Syntax is defined by https://aip.dev/132#ordering (e.g. "displayName desc" or "caseId asc"). Allows sorting by multiple fields if needed. Redundant whitespace is ignored, field names are case-sensitive, but sort direction is not (asc vs ASC). For each field specified, sort direction is optional (i.e. displayName is identical to displayName asc). If no sort order is specified, the default is by recency (createTime desc). The following fields are supported: - createTime - caseId - displayName This list may expand in the future. Subfield sorting is not supported.

pageSize

integer

Optional. The maximum number of projects to return. The service may return fewer than this value. If unspecified, at most 10 projects will be returned. The maximum value is 50; values above 50 will be coerced to 50.

pageToken

string

Optional. A page token, received from a previous projects.list call. Provide this to retrieve the subsequent page. If this is not provided, then the first page of results is returned. When paginating, all other parameters provided to projects.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for ProjectService.ListProjects.

If successful, the response body contains data with the following structure:

JSON representation
{
  "projects": [
    {
      object (Project)
    }
  ],
  "nextPageToken": string
}
Fields
projects[]

object (Project)

The projects matching the request.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/mmm_data
  • https://www.googleapis.com/auth/mmm_data.readonly

For more information, see the OAuth 2.0 Overview.